> ## Documentation Index
>
> Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)
>
> Use this file to discover all available pages before exploring further.

[Skip to main content](https://developer.fabric.inc/v3/orders-and-inventory/api-reference/orders/invoices/create-invoice#content-area)

Create invoice

cURL

```
curl --request POST \
  --url https://api.fabric.inc/v3/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "invoiceNumber": 23940791,
  "shipmentId": "62ff5c0bec0aed3c86202c32",
  "channelId": 10,
  "invoiceTotal": 245.7,
  "totalTaxAmount": 245.7,
  "currency": "USD",
  "requestContext": {
    "type": "<string>",
    "requestTime": "2022-04-12T09:30:31.198Z",
    "attributes": {
      "attribute": "N",
      "someFlag": true
    }
  },
  "invoiceExternalId": 191763090,
  "invoiceStatus": "CAPTURED",
  "invoiceType": "SHIPPING",
  "invoicedAt": "2022-08-01T20:03:28.483Z",
  "shipmentNumber": 217088603,
  "shippedAt": "2022-08-01T20:03:28.483Z",
  "orders": [\
    {\
      "invoiceOrderTotal": 245.7,\
      "orderId": "62ff5c0bec0aed3c86202c32",\
      "adjustments": [\
        {\
          "adjustmentCounter": 1,\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "attributes": {},\
          "notes": "Any additional info",\
          "quantity": 1,\
          "reasonCode": "Incorrect Item",\
          "subReasonCode": "Late shipping",\
          "value": 34.56\
        }\
      ],\
      "appeasements": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "appeasementCounter": 1,\
          "invoicedAmount": 34.56,\
          "invoicedAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "payments": [\
            {\
              "paymentCounter": 1,\
              "refundAmount": 34.56,\
              "refundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ]\
            }\
          ],\
          "reasonCode": "Incorrect Item",\
          "subReasonCode": "Late shipping"\
        }\
      ],\
      "discounts": [\
        {\
          "promotionId": "HNY2022",\
          "amount": 2,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "promotionCode": "HNY2022",\
          "promotionName": "Happy New Year",\
          "quantity": 2,\
          "type": "promotion"\
        }\
      ],\
      "fees": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "quantity": 1,\
          "refundAmount": 345.56,\
          "refundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "type": "tax"\
        }\
      ],\
      "items": [\
        {\
          "invoiceLineNumber": 3,\
          "adjustmentTotal": 123.45,\
          "adjustmentTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "adjustments": [\
            {\
              "adjustmentCounter": 1,\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "attributes": {},\
              "notes": "Any additional info",\
              "quantity": 1,\
              "reasonCode": "Incorrect Item",\
              "subReasonCode": "Late shipping",\
              "value": 34.56\
            }\
          ],\
          "appeasements": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "appeasementCounter": 1,\
              "invoicedAmount": 34.56,\
              "invoicedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "payments": [\
                {\
                  "paymentCounter": 1,\
                  "refundAmount": 34.56,\
                  "refundAmountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ]\
                }\
              ],\
              "reasonCode": "Incorrect Item",\
              "subReasonCode": "Late shipping"\
            }\
          ],\
          "attributes": {\
            "key": "value"\
          },\
          "cancellations": [\
            {\
              "cancellationCounter": 1,\
              "source": "CSR",\
              "reasonCode": "Order Line Cancel",\
              "subReasonCode": "Late shipping",\
              "status": "PROCESSING",\
              "amount": "-20.",\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "invoicedAmount": "-20.",\
              "invoicedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "payments": [\
                {\
                  "paymentCounter": 1,\
                  "amount": "-20.",\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ]\
                }\
              ],\
              "refunds": [\
                {\
                  "type": "ITEM",\
                  "name": "Name",\
                  "amount": "-10.",\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ]\
                }\
              ],\
              "attributes": {\
                "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"\
              },\
              "quantity": 10\
            }\
          ],\
          "currency": "USD",\
          "discounts": [\
            {\
              "promotionId": "HNY2022",\
              "amount": 2,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "promotionCode": "HNY2022",\
              "promotionName": "Happy New Year",\
              "quantity": 2,\
              "type": "promotion"\
            }\
          ],\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "quantity": 1,\
              "refundAmount": 345.56,\
              "refundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "type": "tax"\
            }\
          ],\
          "invoiceLineTotal": 600,\
          "invoiceLineTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "invoiceQuantity": 10,\
          "itemAppeasementTotal": 344.455,\
          "itemAppeasementTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "itemCancelTotal": 344.455,\
          "itemCancelTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "itemDiscountsTotal": 3.45,\
          "itemDiscountsTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "itemFeeTotal": 33.4,\
          "itemFeeTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "itemId": 1234455322,\
          "itemTaxTotal": 2.4,\
          "itemTaxTotalInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "itemUnitPrice": 33.4,\
          "itemUnitPriceInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "lineItemCreatedAt": "2022-11-22T10:26:38.000+00:00",\
          "lineItemId": "1adfrghhh2346aaaf",\
          "lineItemNumber": 1,\
          "locationStoreId": 4512345,\
          "orderId": "33adfrghhh2346aaaffff",\
          "returnExpirationDays": 21,\
          "returns": [\
            {\
              "exchangeLineItemId": "62f3dfc438bcab1951be0a19",\
              "fees": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "name": "RETURN_FEE",\
                  "reason": "Return fee",\
                  "type": "FEE"\
                }\
              ],\
              "invoicedAmount": 11.29,\
              "invoicedAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "isExchangeItemReturned": true,\
              "reasonCode": "Incorrect item",\
              "refundAmount": 11.29,\
              "refundAmountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "refunds": [\
                {\
                  "amount": 34.56,\
                  "amountInCurrencies": [\
                    {\
                      "currency": "USD",\
                      "group": "SHOPPER",\
                      "amount": 123.45\
                    }\
                  ],\
                  "name": "RETURN_FEE",\
                  "reason": "Return fee",\
                  "type": "FEE"\
                }\
              ],\
              "returnRequestCounter": 1,\
              "returnsReceivedAt": "2022-09-14T14:07:36.861Z",\
              "shipmentId": "62b37697c67b204dd18a7465",\
              "shipmentLineItemId": "234",\
              "shipmentQuantity": 1\
            }\
          ],\
          "shipToId": "5349b4ddd2781d08c09890f4",\
          "shipmentLineItemId": "2adfrghhh2346aaaffff",\
          "sku": "P1234",\
          "taxDetails": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "type": "tax"\
            }\
          ],\
          "type": "WEB_PICKUP",\
          "uom": "EA"\
        }\
      ],\
      "orderNumber": "217088603",\
      "orderExternalId": 217088603,\
      "orderSubtype": "INTERNATIONAL",\
      "orderType": "WEB",\
      "orderedAt": "2022-05-12T09:30:31.198Z",\
      "payments": [\
        {\
          "attributes": {},\
          "authorizedAmount": 256.1,\
          "authorizedAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "conversion": 1,\
          "currency": "USD",\
          "paidAt": "2022-01-27T16:15:58.000-05:00",\
          "paymentCounter": 1,\
          "paymentIdentifier": {\
            "cardIdentifier": "***********3456"\
          },\
          "paymentMethod": "CREDIT_CARD",\
          "paymentProvider": "stripe",\
          "paymentStatus": "PAID",\
          "paymentToken": {\
            "token": "pi_34tr6787rt"\
          },\
          "paymentType": "VISA",\
          "settlement": {\
            "settledAt": "2022-01-27T21:15:58Z",\
            "settlementAmount": 10.3,\
            "settlementAmountInCurrencies": [\
              {\
                "currency": "USD",\
                "group": "SHOPPER",\
                "amount": 123.45\
              }\
            ],\
            "settlementStatusCode": "SETTLED"\
          }\
        }\
      ],\
      "returns": [\
        {\
          "attributes": {\
            "transactionId": "0R12TQ46"\
          },\
          "fees": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "invoicedAmount": 11.29,\
          "invoicedAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "paymentCounterRefundDetails": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "paymentCounter": 1\
            }\
          ],\
          "refunds": [\
            {\
              "amount": 34.56,\
              "amountInCurrencies": [\
                {\
                  "currency": "USD",\
                  "group": "SHOPPER",\
                  "amount": 123.45\
                }\
              ],\
              "name": "RETURN_FEE",\
              "reason": "Return fee",\
              "type": "FEE"\
            }\
          ],\
          "returnCounter": 1,\
          "totalRefundAmount": 11.29,\
          "totalRefundAmountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ]\
        }\
      ],\
      "taxDetails": [\
        {\
          "amount": 34.56,\
          "amountInCurrencies": [\
            {\
              "currency": "USD",\
              "group": "SHOPPER",\
              "amount": 123.45\
            }\
          ],\
          "type": "tax"\
        }\
      ]\
    }\
  ],
  "locationNumber": 3235,
  "location": {
    "locationNumber": "WH334"
  },
  "retail": {
    "cashierId": "CE-321",
    "locationNumber": "WH334"
  },
  "invoiceTotalInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "totalTaxAmountInCurrencies": [\
    {\
      "currency": "USD",\
      "group": "SHOPPER",\
      "amount": 123.45\
    }\
  ],
  "customer": {
    "accountId": "62272e917b12209e68751d94",
    "company": "Demo Inc",
    "email": "test@example.com",
    "employeeId": "62272e917b12209e68751d94",
    "name": {
      "firstName": "Alex",
      "lastName": "Doe",
      "middleName": "E"
    },
    "phone": {
      "number": "123-456-7890",
      "type": "MOBILE"
    },
    "userId": "62272e917b12209e68751d94"
  },
  "attributes": {
    "attribute1": "value"
  }
}
'
```

```
import requests

url = "https://api.fabric.inc/v3/invoices"

payload = {
    "invoiceNumber": 23940791,
    "shipmentId": "62ff5c0bec0aed3c86202c32",
    "channelId": 10,
    "invoiceTotal": 245.7,
    "totalTaxAmount": 245.7,
    "currency": "USD",
    "requestContext": {
        "type": "<string>",
        "requestTime": "2022-04-12T09:30:31.198Z",
        "attributes": {
            "attribute": "N",
            "someFlag": True
        }
    },
    "invoiceExternalId": 191763090,
    "invoiceStatus": "CAPTURED",
    "invoiceType": "SHIPPING",
    "invoicedAt": "2022-08-01T20:03:28.483Z",
    "shipmentNumber": 217088603,
    "shippedAt": "2022-08-01T20:03:28.483Z",
    "orders": [\
        {\
            "invoiceOrderTotal": 245.7,\
            "orderId": "62ff5c0bec0aed3c86202c32",\
            "adjustments": [\
                {\
                    "adjustmentCounter": 1,\
                    "amount": 34.56,\
                    "amountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "attributes": {},\
                    "notes": "Any additional info",\
                    "quantity": 1,\
                    "reasonCode": "Incorrect Item",\
                    "subReasonCode": "Late shipping",\
                    "value": 34.56\
                }\
            ],\
            "appeasements": [\
                {\
                    "amount": 34.56,\
                    "amountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "appeasementCounter": 1,\
                    "invoicedAmount": 34.56,\
                    "invoicedAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "payments": [\
                        {\
                            "paymentCounter": 1,\
                            "refundAmount": 34.56,\
                            "refundAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ]\
                        }\
                    ],\
                    "reasonCode": "Incorrect Item",\
                    "subReasonCode": "Late shipping"\
                }\
            ],\
            "discounts": [\
                {\
                    "promotionId": "HNY2022",\
                    "amount": 2,\
                    "amountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "promotionCode": "HNY2022",\
                    "promotionName": "Happy New Year",\
                    "quantity": 2,\
                    "type": "promotion"\
                }\
            ],\
            "fees": [\
                {\
                    "amount": 34.56,\
                    "amountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "quantity": 1,\
                    "refundAmount": 345.56,\
                    "refundAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "type": "tax"\
                }\
            ],\
            "items": [\
                {\
                    "invoiceLineNumber": 3,\
                    "adjustmentTotal": 123.45,\
                    "adjustmentTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "adjustments": [\
                        {\
                            "adjustmentCounter": 1,\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "attributes": {},\
                            "notes": "Any additional info",\
                            "quantity": 1,\
                            "reasonCode": "Incorrect Item",\
                            "subReasonCode": "Late shipping",\
                            "value": 34.56\
                        }\
                    ],\
                    "appeasements": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "appeasementCounter": 1,\
                            "invoicedAmount": 34.56,\
                            "invoicedAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "payments": [\
                                {\
                                    "paymentCounter": 1,\
                                    "refundAmount": 34.56,\
                                    "refundAmountInCurrencies": [\
                                        {\
                                            "currency": "USD",\
                                            "group": "SHOPPER",\
                                            "amount": 123.45\
                                        }\
                                    ]\
                                }\
                            ],\
                            "reasonCode": "Incorrect Item",\
                            "subReasonCode": "Late shipping"\
                        }\
                    ],\
                    "attributes": { "key": "value" },\
                    "cancellations": [\
                        {\
                            "cancellationCounter": 1,\
                            "source": "CSR",\
                            "reasonCode": "Order Line Cancel",\
                            "subReasonCode": "Late shipping",\
                            "status": "PROCESSING",\
                            "amount": "-20.",\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "invoicedAmount": "-20.",\
                            "invoicedAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "payments": [\
                                {\
                                    "paymentCounter": 1,\
                                    "amount": "-20.",\
                                    "amountInCurrencies": [\
                                        {\
                                            "currency": "USD",\
                                            "group": "SHOPPER",\
                                            "amount": 123.45\
                                        }\
                                    ]\
                                }\
                            ],\
                            "refunds": [\
                                {\
                                    "type": "ITEM",\
                                    "name": "Name",\
                                    "amount": "-10.",\
                                    "amountInCurrencies": [\
                                        {\
                                            "currency": "USD",\
                                            "group": "SHOPPER",\
                                            "amount": 123.45\
                                        }\
                                    ]\
                                }\
                            ],\
                            "attributes": { "number": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },\
                            "quantity": 10\
                        }\
                    ],\
                    "currency": "USD",\
                    "discounts": [\
                        {\
                            "promotionId": "HNY2022",\
                            "amount": 2,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "promotionCode": "HNY2022",\
                            "promotionName": "Happy New Year",\
                            "quantity": 2,\
                            "type": "promotion"\
                        }\
                    ],\
                    "fees": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "quantity": 1,\
                            "refundAmount": 345.56,\
                            "refundAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "type": "tax"\
                        }\
                    ],\
                    "invoiceLineTotal": 600,\
                    "invoiceLineTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "invoiceQuantity": 10,\
                    "itemAppeasementTotal": 344.455,\
                    "itemAppeasementTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "itemCancelTotal": 344.455,\
                    "itemCancelTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "itemDiscountsTotal": 3.45,\
                    "itemDiscountsTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "itemFeeTotal": 33.4,\
                    "itemFeeTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "itemId": 1234455322,\
                    "itemTaxTotal": 2.4,\
                    "itemTaxTotalInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "itemUnitPrice": 33.4,\
                    "itemUnitPriceInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "lineItemCreatedAt": "2022-11-22T10:26:38.000+00:00",\
                    "lineItemId": "1adfrghhh2346aaaf",\
                    "lineItemNumber": 1,\
                    "locationStoreId": 4512345,\
                    "orderId": "33adfrghhh2346aaaffff",\
                    "returnExpirationDays": 21,\
                    "returns": [\
                        {\
                            "exchangeLineItemId": "62f3dfc438bcab1951be0a19",\
                            "fees": [\
                                {\
                                    "amount": 34.56,\
                                    "amountInCurrencies": [\
                                        {\
                                            "currency": "USD",\
                                            "group": "SHOPPER",\
                                            "amount": 123.45\
                                        }\
                                    ],\
                                    "name": "RETURN_FEE",\
                                    "reason": "Return fee",\
                                    "type": "FEE"\
                                }\
                            ],\
                            "invoicedAmount": 11.29,\
                            "invoicedAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "isExchangeItemReturned": True,\
                            "reasonCode": "Incorrect item",\
                            "refundAmount": 11.29,\
                            "refundAmountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "refunds": [\
                                {\
                                    "amount": 34.56,\
                                    "amountInCurrencies": [\
                                        {\
                                            "currency": "USD",\
                                            "group": "SHOPPER",\
                                            "amount": 123.45\
                                        }\
                                    ],\
                                    "name": "RETURN_FEE",\
                                    "reason": "Return fee",\
                                    "type": "FEE"\
                                }\
                            ],\
                            "returnRequestCounter": 1,\
                            "returnsReceivedAt": "2022-09-14T14:07:36.861Z",\
                            "shipmentId": "62b37697c67b204dd18a7465",\
                            "shipmentLineItemId": "234",\
                            "shipmentQuantity": 1\
                        }\
                    ],\
                    "shipToId": "5349b4ddd2781d08c09890f4",\
                    "shipmentLineItemId": "2adfrghhh2346aaaffff",\
                    "sku": "P1234",\
                    "taxDetails": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "type": "tax"\
                        }\
                    ],\
                    "type": "WEB_PICKUP",\
                    "uom": "EA"\
                }\
            ],\
            "orderNumber": "217088603",\
            "orderExternalId": 217088603,\
            "orderSubtype": "INTERNATIONAL",\
            "orderType": "WEB",\
            "orderedAt": "2022-05-12T09:30:31.198Z",\
            "payments": [\
                {\
                    "attributes": {},\
                    "authorizedAmount": 256.1,\
                    "authorizedAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "conversion": 1,\
                    "currency": "USD",\
                    "paidAt": "2022-01-27T16:15:58.000-05:00",\
                    "paymentCounter": 1,\
                    "paymentIdentifier": { "cardIdentifier": "***********3456" },\
                    "paymentMethod": "CREDIT_CARD",\
                    "paymentProvider": "stripe",\
                    "paymentStatus": "PAID",\
                    "paymentToken": { "token": "pi_34tr6787rt" },\
                    "paymentType": "VISA",\
                    "settlement": {\
                        "settledAt": "2022-01-27T21:15:58Z",\
                        "settlementAmount": 10.3,\
                        "settlementAmountInCurrencies": [\
                            {\
                                "currency": "USD",\
                                "group": "SHOPPER",\
                                "amount": 123.45\
                            }\
                        ],\
                        "settlementStatusCode": "SETTLED"\
                    }\
                }\
            ],\
            "returns": [\
                {\
                    "attributes": { "transactionId": "0R12TQ46" },\
                    "fees": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "name": "RETURN_FEE",\
                            "reason": "Return fee",\
                            "type": "FEE"\
                        }\
                    ],\
                    "invoicedAmount": 11.29,\
                    "invoicedAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "paymentCounterRefundDetails": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "paymentCounter": 1\
                        }\
                    ],\
                    "refunds": [\
                        {\
                            "amount": 34.56,\
                            "amountInCurrencies": [\
                                {\
                                    "currency": "USD",\
                                    "group": "SHOPPER",\
                                    "amount": 123.45\
                                }\
                            ],\
                            "name": "RETURN_FEE",\
                            "reason": "Return fee",\
                            "type": "FEE"\
                        }\
                    ],\
                    "returnCounter": 1,\
                    "totalRefundAmount": 11.29,\
                    "totalRefundAmountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ]\
                }\
            ],\
            "taxDetails": [\
                {\
                    "amount": 34.56,\
                    "amountInCurrencies": [\
                        {\
                            "currency": "USD",\
                            "group": "SHOPPER",\
                            "amount": 123.45\
                        }\
                    ],\
                    "type": "tax"\
                }\
            ]\
        }\
    ],
    "locationNumber": 3235,
    "location": { "locationNumber": "WH334" },
    "retail": {
        "cashierId": "CE-321",
        "locationNumber": "WH334"
    },
    "invoiceTotalInCurrencies": [\
        {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
        }\
    ],
    "totalTaxAmountInCurrencies": [\
        {\
            "currency": "USD",\
            "group": "SHOPPER",\
            "amount": 123.45\
        }\
    ],
    "customer": {
        "accountId": "62272e917b12209e68751d94",
        "company": "Demo Inc",
        "email": "test@example.com",
        "employeeId": "62272e917b12209e68751d94",
        "name": {
            "firstName": "Alex",
            "lastName": "Doe",
            "middleName": "E"
        },
        "phone": {
            "number": "123-456-7890",
            "type": "MOBILE"
        },
        "userId": "62272e917b12209e68751d94"
    },
    "attributes": { "attribute1": "value" }
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    invoiceNumber: 23940791,
    shipmentId: '62ff5c0bec0aed3c86202c32',
    channelId: 10,
    invoiceTotal: 245.7,
    totalTaxAmount: 245.7,
    currency: 'USD',
    requestContext: {
      type: '<string>',
      requestTime: '2022-04-12T09:30:31.198Z',
      attributes: {attribute: 'N', someFlag: true}
    },
    invoiceExternalId: 191763090,
    invoiceStatus: 'CAPTURED',
    invoiceType: 'SHIPPING',
    invoicedAt: '2022-08-01T20:03:28.483Z',
    shipmentNumber: 217088603,
    shippedAt: '2022-08-01T20:03:28.483Z',
    orders: [\
      {\
        invoiceOrderTotal: 245.7,\
        orderId: '62ff5c0bec0aed3c86202c32',\
        adjustments: [\
          {\
            adjustmentCounter: 1,\
            amount: 34.56,\
            amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            attributes: {},\
            notes: 'Any additional info',\
            quantity: 1,\
            reasonCode: 'Incorrect Item',\
            subReasonCode: 'Late shipping',\
            value: 34.56\
          }\
        ],\
        appeasements: [\
          {\
            amount: 34.56,\
            amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            appeasementCounter: 1,\
            invoicedAmount: 34.56,\
            invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            payments: [\
              {\
                paymentCounter: 1,\
                refundAmount: 34.56,\
                refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]\
              }\
            ],\
            reasonCode: 'Incorrect Item',\
            subReasonCode: 'Late shipping'\
          }\
        ],\
        discounts: [\
          {\
            promotionId: 'HNY2022',\
            amount: 2,\
            amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            promotionCode: 'HNY2022',\
            promotionName: 'Happy New Year',\
            quantity: 2,\
            type: 'promotion'\
          }\
        ],\
        fees: [\
          {\
            amount: 34.56,\
            amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            quantity: 1,\
            refundAmount: 345.56,\
            refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            type: 'tax'\
          }\
        ],\
        items: [\
          {\
            invoiceLineNumber: 3,\
            adjustmentTotal: 123.45,\
            adjustmentTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            adjustments: [\
              {\
                adjustmentCounter: 1,\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                attributes: {},\
                notes: 'Any additional info',\
                quantity: 1,\
                reasonCode: 'Incorrect Item',\
                subReasonCode: 'Late shipping',\
                value: 34.56\
              }\
            ],\
            appeasements: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                appeasementCounter: 1,\
                invoicedAmount: 34.56,\
                invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                payments: [\
                  {\
                    paymentCounter: 1,\
                    refundAmount: 34.56,\
                    refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]\
                  }\
                ],\
                reasonCode: 'Incorrect Item',\
                subReasonCode: 'Late shipping'\
              }\
            ],\
            attributes: {key: 'value'},\
            cancellations: [\
              {\
                cancellationCounter: 1,\
                source: 'CSR',\
                reasonCode: 'Order Line Cancel',\
                subReasonCode: 'Late shipping',\
                status: 'PROCESSING',\
                amount: '-20.',\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                invoicedAmount: '-20.',\
                invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                payments: [\
                  {\
                    paymentCounter: 1,\
                    amount: '-20.',\
                    amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]\
                  }\
                ],\
                refunds: [\
                  {\
                    type: 'ITEM',\
                    name: 'Name',\
                    amount: '-10.',\
                    amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]\
                  }\
                ],\
                attributes: {number: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},\
                quantity: 10\
              }\
            ],\
            currency: 'USD',\
            discounts: [\
              {\
                promotionId: 'HNY2022',\
                amount: 2,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                promotionCode: 'HNY2022',\
                promotionName: 'Happy New Year',\
                quantity: 2,\
                type: 'promotion'\
              }\
            ],\
            fees: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                quantity: 1,\
                refundAmount: 345.56,\
                refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                type: 'tax'\
              }\
            ],\
            invoiceLineTotal: 600,\
            invoiceLineTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            invoiceQuantity: 10,\
            itemAppeasementTotal: 344.455,\
            itemAppeasementTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            itemCancelTotal: 344.455,\
            itemCancelTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            itemDiscountsTotal: 3.45,\
            itemDiscountsTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            itemFeeTotal: 33.4,\
            itemFeeTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            itemId: 1234455322,\
            itemTaxTotal: 2.4,\
            itemTaxTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            itemUnitPrice: 33.4,\
            itemUnitPriceInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            lineItemCreatedAt: '2022-11-22T10:26:38.000+00:00',\
            lineItemId: '1adfrghhh2346aaaf',\
            lineItemNumber: 1,\
            locationStoreId: 4512345,\
            orderId: '33adfrghhh2346aaaffff',\
            returnExpirationDays: 21,\
            returns: [\
              {\
                exchangeLineItemId: '62f3dfc438bcab1951be0a19',\
                fees: [\
                  {\
                    amount: 34.56,\
                    amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                    name: 'RETURN_FEE',\
                    reason: 'Return fee',\
                    type: 'FEE'\
                  }\
                ],\
                invoicedAmount: 11.29,\
                invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                isExchangeItemReturned: true,\
                reasonCode: 'Incorrect item',\
                refundAmount: 11.29,\
                refundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                refunds: [\
                  {\
                    amount: 34.56,\
                    amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                    name: 'RETURN_FEE',\
                    reason: 'Return fee',\
                    type: 'FEE'\
                  }\
                ],\
                returnRequestCounter: 1,\
                returnsReceivedAt: '2022-09-14T14:07:36.861Z',\
                shipmentId: '62b37697c67b204dd18a7465',\
                shipmentLineItemId: '234',\
                shipmentQuantity: 1\
              }\
            ],\
            shipToId: '5349b4ddd2781d08c09890f4',\
            shipmentLineItemId: '2adfrghhh2346aaaffff',\
            sku: 'P1234',\
            taxDetails: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                type: 'tax'\
              }\
            ],\
            type: 'WEB_PICKUP',\
            uom: 'EA'\
          }\
        ],\
        orderNumber: '217088603',\
        orderExternalId: 217088603,\
        orderSubtype: 'INTERNATIONAL',\
        orderType: 'WEB',\
        orderedAt: '2022-05-12T09:30:31.198Z',\
        payments: [\
          {\
            attributes: {},\
            authorizedAmount: 256.1,\
            authorizedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            conversion: 1,\
            currency: 'USD',\
            paidAt: '2022-01-27T16:15:58.000-05:00',\
            paymentCounter: 1,\
            paymentIdentifier: {cardIdentifier: '***********3456'},\
            paymentMethod: 'CREDIT_CARD',\
            paymentProvider: 'stripe',\
            paymentStatus: 'PAID',\
            paymentToken: {token: 'pi_34tr6787rt'},\
            paymentType: 'VISA',\
            settlement: {\
              settledAt: '2022-01-27T21:15:58Z',\
              settlementAmount: 10.3,\
              settlementAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
              settlementStatusCode: 'SETTLED'\
            }\
          }\
        ],\
        returns: [\
          {\
            attributes: {transactionId: '0R12TQ46'},\
            fees: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                name: 'RETURN_FEE',\
                reason: 'Return fee',\
                type: 'FEE'\
              }\
            ],\
            invoicedAmount: 11.29,\
            invoicedAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            paymentCounterRefundDetails: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                paymentCounter: 1\
              }\
            ],\
            refunds: [\
              {\
                amount: 34.56,\
                amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
                name: 'RETURN_FEE',\
                reason: 'Return fee',\
                type: 'FEE'\
              }\
            ],\
            returnCounter: 1,\
            totalRefundAmount: 11.29,\
            totalRefundAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}]\
          }\
        ],\
        taxDetails: [\
          {\
            amount: 34.56,\
            amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],\
            type: 'tax'\
          }\
        ]\
      }\
    ],
    locationNumber: 3235,
    location: {locationNumber: 'WH334'},
    retail: {cashierId: 'CE-321', locationNumber: 'WH334'},
    invoiceTotalInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
    totalTaxAmountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
    customer: {
      accountId: '62272e917b12209e68751d94',
      company: 'Demo Inc',
      email: 'test@example.com',
      employeeId: '62272e917b12209e68751d94',
      name: {firstName: 'Alex', lastName: 'Doe', middleName: 'E'},
      phone: {number: '123-456-7890', type: 'MOBILE'},
      userId: '62272e917b12209e68751d94'
    },
    attributes: {attribute1: 'value'}
  })
};

fetch('https://api.fabric.inc/v3/invoices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.fabric.inc/v3/invoices",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'invoiceNumber' => 23940791,\
    'shipmentId' => '62ff5c0bec0aed3c86202c32',\
    'channelId' => 10,\
    'invoiceTotal' => 245.7,\
    'totalTaxAmount' => 245.7,\
    'currency' => 'USD',\
    'requestContext' => [\
        'type' => '<string>',\
        'requestTime' => '2022-04-12T09:30:31.198Z',\
        'attributes' => [\
                'attribute' => 'N',\
                'someFlag' => true\
        ]\
    ],\
    'invoiceExternalId' => 191763090,\
    'invoiceStatus' => 'CAPTURED',\
    'invoiceType' => 'SHIPPING',\
    'invoicedAt' => '2022-08-01T20:03:28.483Z',\
    'shipmentNumber' => 217088603,\
    'shippedAt' => '2022-08-01T20:03:28.483Z',\
    'orders' => [\
        [\
                'invoiceOrderTotal' => 245.7,\
                'orderId' => '62ff5c0bec0aed3c86202c32',\
                'adjustments' => [\
                                [\
                                                                'adjustmentCounter' => 1,\
                                                                'amount' => 34.56,\
                                                                'amountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'attributes' => [\
\
                                                                ],\
                                                                'notes' => 'Any additional info',\
                                                                'quantity' => 1,\
                                                                'reasonCode' => 'Incorrect Item',\
                                                                'subReasonCode' => 'Late shipping',\
                                                                'value' => 34.56\
                                ]\
                ],\
                'appeasements' => [\
                                [\
                                                                'amount' => 34.56,\
                                                                'amountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'appeasementCounter' => 1,\
                                                                'invoicedAmount' => 34.56,\
                                                                'invoicedAmountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'payments' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'paymentCounter' => 1,\
                                                                                                                                                                                                                                                                'refundAmount' => 34.56,\
                                                                                                                                                                                                                                                                'refundAmountInCurrencies' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]\
                                                                                                                                                                                                                                                                ]\
                                                                                                                                ]\
                                                                ],\
                                                                'reasonCode' => 'Incorrect Item',\
                                                                'subReasonCode' => 'Late shipping'\
                                ]\
                ],\
                'discounts' => [\
                                [\
                                                                'promotionId' => 'HNY2022',\
                                                                'amount' => 2,\
                                                                'amountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'promotionCode' => 'HNY2022',\
                                                                'promotionName' => 'Happy New Year',\
                                                                'quantity' => 2,\
                                                                'type' => 'promotion'\
                                ]\
                ],\
                'fees' => [\
                                [\
                                                                'amount' => 34.56,\
                                                                'amountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'quantity' => 1,\
                                                                'refundAmount' => 345.56,\
                                                                'refundAmountInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'type' => 'tax'\
                                ]\
                ],\
                'items' => [\
                                [\
                                                                'invoiceLineNumber' => 3,\
                                                                'adjustmentTotal' => 123.45,\
                                                                'adjustmentTotalInCurrencies' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                ]\
                                                                ],\
                                                                'adjustments' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'adjustmentCounter' => 1,\
                                                                                                                                                                                                                                                                'amount' => 34.56,\
                                                                                                                                                                                                                                                                'amountInCurrencies' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]\
                                                                                                                                                                                                                                                                ],\
                                                                                                                                                                                                                                                                'attributes' => [\
\
                                                                                                                                                                                                                                                                ],\
                                                                                                                                                                                                                                                                'notes' => 'Any additional info',\
                                                                                                                                                                                                                                                                'quantity' => 1,\
                                                                                                                                                                                                                                                                'reasonCode' => 'Incorrect Item',\
                                                                                                                                                                                                                                                                'subReasonCode' => 'Late shipping',\
                                                                                                                                                                                                                                                                'value' => 34.56\
                                                                                                                                ]\
                                                                ],\
                                                                'appeasements' => [\
                                                                                                                                [\
                                                                                                                                                                                                                                                                'amount' => 34.56,\
                                                                                                                                                                                                                                                                'amountInCurrencies' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]\
                                                                                                                                                                                                                                                                ],\
                                                                                                                                                                                                                                                                'appeasementCounter' => 1,\
                                                                                                                                                                                                                                                                'invoicedAmount' => 34.56,\
                                                                                                                                                                                                                                                                'invoicedAmountInCurrencies' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => 'USD',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'group' => 'SHOPPER',\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amount' => 123.45\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]\
                                                                                                                                                                                                                                                                ],\
                                                                                                                                                                                                                                                                'payments' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'paymentCounter' => 1,\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'refundAmount' => 34.56,\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'refundAmountInCurrencies' => [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [\
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
[...]
